{
  description = "System Configuration Flake";

  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/nixos-unstable"
    };
  };

  outputs = { self, nixpkgs }: {

    nixosConfigurations = {
      stitchynyan = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux"
	modules = [
	  ./configuration.nix
	];
      };
    }; 
  };
}
